Bug 1631880 - Xorg defaults to clone mode if the monitor cable/connector can't handle the preferred mode
Summary: Xorg defaults to clone mode if the monitor cable/connector can't handle the p...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: xorg-x11-server
Version: 7.6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Adam Jackson
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-09-21 19:29 UTC by Ray Strode [halfline]
Modified: 2018-10-30 08:03 UTC (History)
2 users (show)

Fixed In Version: xorg-x11-server-1.20.1-3.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-30 08:03:01 UTC
Target Upstream Version:


Attachments (Terms of Use)
try harder to span instead of clone (5.79 KB, patch)
2018-09-21 19:29 UTC, Ray Strode [halfline]
no flags Details | Diff


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:3059 0 None None None 2018-10-30 08:03:51 UTC

Description Ray Strode [halfline] 2018-09-21 19:29:53 UTC
Created attachment 1485774 [details]
try harder to span instead of clone

I have a 4k monitor that only likes to do 1080p over the HDMI cable.  In this scenario Xorg picks clone mode instead of the much more useful spanning mode.

The attached patch makes it come up in a spanned configuration.

Comment 1 Adam Jackson 2018-09-21 20:46:20 UTC
Looks sane to me.

Comment 3 Tomas Pelka 2018-09-25 09:37:59 UTC
Seems to be ok, was not able to reproduce on fixed rpm.

Comment 5 errata-xmlrpc 2018-10-30 08:03:01 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:3059


Note You need to log in before you can comment on or make changes to this bug.